> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List tiers <Badge intent="info" minimal outlined>OAuth Scope: tiers:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/tiers

Retrieve all tiers belonging to a specific publication

Reference: https://developers.beehiiv.com/api-reference/tiers/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

### Query parameters

- `expand[]` (string, optional) — Optional list of expandable objects.`stats` - Returns statistics about the tier(s).`prices` - Returns prices for the tier(s).
- `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
- `page` (integer, optional) — Pagination returns the results in pages. Each page contains the number of results specified by the `limit` (default: 10).If not specified, results 1-10 from page 1 will be returned.
- `direction` (enum, optional, default: asc) — The direction that the results are sorted in. Defaults to asc `asc` - Ascending, sorts from smallest to largest. `desc` - Descending, sorts from largest to smallest.
  - Allowed values: `asc`, `desc`

## Response

### 200

OK

- `data` (list of Tier, required)
- `limit` (integer, required) — The limit placed on the results. If no limit was specified in the request,this defaults to 10.
- `page` (integer, required, default: 1) — The page number the results are from. If no page was specified in the request, this defaults to page 1.
- `total_results` (integer, required) — The total number of results from all pages.
- `total_pages` (integer, required) — The total number of pages.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### Tier

The subscription tier object.

- `id` (string, required) — The prefixed ID of the tier.
- `name` (string, required)
- `status` (enum, required) — Returns whether or not the tier has any active prices.
  - Allowed values: `active`, `archived`
- `description` (string, optional, default: Super engaged readers)
- `stats` (TierStats, optional) — Optional list of stats for a tier. Retrievable by including `expand: [stats]` in the tier request body.
- `prices` (list of TierPrice, optional) — Optional list of prices for a tier. Retrievable by including `expand: [prices]` in the tier request body.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### TierStats

Optional list of stats for a tier. Retrievable by including `expand: [stats]` in the tier request body.

- `active_subscriptions` (integer, required) — Total number of active subscriptions belonging to this tier.

### TierPrice

Price belonging to a Tier

- `id` (string, optional) — The prefixed ID of the price.
- `currency` (enum, optional)
  - Allowed values: `usd`, `aud`, `cad`, `eur`, `gbp`, `inr`, `brl`, `mxn`, `nzd`, `dkk`
- `amount_cents` (integer, optional)
- `enabled` (boolean, optional, default: true)
- `interval` (enum, optional)
  - Allowed values: `month`, `quarter`, `year`, `one_time`, `donation`
- `denominator` (string, optional)
- `cta` (string, optional) — When using the external Stripe checkout, this text will be displayed on the button
- `features` (list of string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "id": "tier_a3f8c2d1-4b7e-4f9a-8c3d-2e1f5a6b7c8d",
      "name": "Gold",
      "status": "active",
      "description": "Access to exclusive premium content, early releases, and monthly Q&A sessions with the author.",
      "stats": {
        "active_subscriptions": 342
      },
      "prices": [
        {
          "id": "price_b1e2d3c4-5f6a-7b8c-9d0e-1f2a3b4c5d6e",
          "amount_cents": 999
        }
      ]
    }
  ],
  "limit": 10,
  "page": 1,
  "total_results": 3,
  "total_pages": 1
}
```

**SDK Code**

```typescript
import { BeehiivClient } from "beehiiv";

const client = new BeehiivClient({ token: "YOUR_TOKEN" });
await client.tiers.getPublicationsPublicationIdTiers("pub_00000000-0000-0000-0000-000000000000");

```

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/tiers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```